| Home | Libraries | People | FAQ | More

#### order_selector

Enumerates options for the order of points within polygons.

###### Description

The enumeration order_selector describes options for the order of points within a polygon. Polygons can be ordered either clockwise or counterclockwise. The specific order of a polygon type is defined by the point_order metafunction. The point_order metafunction defines a value, which is one of the values enumerated in the order_selector

###### Synopsis

    enum order_selector {clockwise = 1, counterclockwise = 2, order_undetermined = 0};

###### Values

Value | Description
--- | ---
clockwise | Points are ordered clockwise.
counterclockwise | Points are ordered counter clockwise.
order_undetermined | Points might be stored in any order, algorithms will determine it on the fly (not yet supported)

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/core/point_order.hpp>`

###### See also

The point_order metafunction